﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_copy_files_to_clipboard
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Copy some files to the clipboard.
            List<string> file_list = new List<string>();
            foreach (string file_name in Directory.GetFiles(Application.StartupPath))
                file_list.Add(file_name);
            Clipboard.Clear();
            Clipboard.SetData(DataFormats.FileDrop, file_list.ToArray());

            // Paste the file list back out of the clipboard.
            string[] file_names = (string[])
                Clipboard.GetData(DataFormats.FileDrop);

            // Display the pasted file names.
            lstFiles.DataSource = file_names;
        }
    }
}
